Bug 50151 - init.d/sshd fails if $OPTIONS set
init.d/sshd fails if $OPTIONS set
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-27 08:10 EDT by Pekka Savola
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 23:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-07-27 08:10:59 EDT
openssh-2.9p3

init.d/sshd has:

initlog -c $SSHD $OPTIONS && success || failure

if you actually specify $OPTIONS in /etc/sysconfig/sshd, with e.g.:

OPTIONS="-6"

, sshd the init script will misinterpret it; 'service sshd start' will
complain about known '-6'.

Working command is:

initlog -c "$SSHD $OPTIONS" && success || failure

(also see: #30327 for the original suggestion)
Comment 1 Glen Foster 2001-07-30 15:24:12 EDT
This defect is considered MUST-FIX for Fairfax
Comment 2 Nalin Dahyabhai 2001-08-06 23:55:53 EDT
This will be fixed in 2.9p2-4 and later.
Comment 3 Pekka Savola 2001-08-14 15:23:42 EDT
Fix veried in -5.

Note You need to log in before you can comment on or make changes to this bug.